unit AboutUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TAboutForm = class(TForm)
    Bevel1: TBevel;
    Button1: TButton;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Image1: TImage;
    Label6: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Bevel2: TBevel;
    procedure Label5Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute : boolean;
  end;

implementation

{$R *.DFM}

uses
  ShellAPI;

function TAboutForm.Execute : boolean;
begin
  Image1.Picture.Graphic := Application.Icon;
  //Application.Icon.SaveToFile( 'RTFIcon.ico' );

  Label3.Caption := 'Execution file : '+LowerCase(ExtractFileName(ParamStr(0)))+' at '+ #13 +
    DateTimeToStr(FileDateToDateTime(FileAge(ParamStr(0))));

{$IFDEF D4}
  Label1.Caption := Label1.Caption + '(D4)';
{$ENDIF}
{$IFDEF D5}
  Label1.Caption := Label1.Caption + '(D5)';
{$ENDIF}
{$IFDEF D6}
  Label1.Caption := Label1.Caption + '(D6)';
{$ENDIF}
{$IFDEF D7}
  Label1.Caption := Label1.Caption + '(D7)';
{$ENDIF}


  Result := ShowModal = mrOk;
end;

procedure TAboutForm.Label5Click(Sender: TObject);
begin
  // Source safe
  Screen.Cursor := crAppStart;
  ShellExecute(0, 'open', PChar( Label5.Caption ), '', '', SW_SHOW);
  Screen.Cursor := crDefault;
end;

procedure TAboutForm.Label8Click(Sender: TObject);
begin
  Screen.Cursor := crAppStart;
  ShellExecute(0, 'open', 'mailto:liskov_ra@mail.ru?subject=SimpComp', '', '', SW_SHOW);
  Screen.Cursor := crDefault;
end;

end.
